|  | Home · All Namespaces · All Classes · Main Classes · Grouped Classes · Modules · Functions |

# Qt 3 Support Members for QXmlInputSource

The following class members are part of the Qt 3 support layer. They are provided to help you port old code to Qt 4. We advise against using them in new code.

- QXmlInputSource class reference

### Public Functions

- QXmlInputSource ( QFile & file )
- QXmlInputSource ( QTextStream & stream )

## Member Function Documentation

### QXmlInputSource::QXmlInputSource ( QFile & file )

Use QXmlInputSource(&file) instead.

### QXmlInputSource::QXmlInputSource ( QTextStream & stream )

Use the QXmlInputSource(QIODevice *) constructor instead, with the device used by stream.

See also QTextStream::device().